<?php
    
/**
 * MornpornComHelper.php
 *
 * @version $Id: $
 * @package Ripper
 * @copyright 2019
 */

/**
 * Class PicpieOrgHelper
 *
 */
    
class MornpornComHelper extends BaseHelper
{
    /**
     * process
     * @param $uri Should be something like: <img src="https://www.mornporn.com/images/2018/11/18/Margo-A-in-Top-Of-The-World-119.th.jpg" />
     * @return array Return array with 'image' and 'name' as the keys
     */
    public function process($uri) {
//        out($uri);
        $image['name'] = $this->getImageLink($uri);
        if (!$image['name']) {
            return false;
        }
        $image['image'] = $this->getPage($this->image_uri);
        return $image;
    }
    
    /**
     * I should be able to get the image URI out of the
     * <img src="https://www.mornporn.com/images/2018/11/18/Margo-A-in-Top-Of-The-World-119.th.jpg" />
     */
    public function getImageLink($html) {
        $parts = explode('"',$html);
        foreach ($parts as $part) {
            if (strstr($part, 'mornporn.com/')) {
                $this->image_uri = str_replace('.th.jpg', '.jpg',$part);
                $pieces = explode('/', $this->image_uri);
                $name = array_pop($pieces);
                return $name;
            }
        }
        return false;
    }
    
    public function getMessage() {
        return $this->uri;
    }
    
    /**
     * for mornporn.com I can pull the image URI from the img scr so don't bother processing the HTML
     */
    public function sendImages() { return true; }
}
