<?php
/**
 * rip_list.php
 *
 * @version $Id: $
 * @package Ripper
 * @copyright 2019
 */

function rip_list($args, $rip) {

    $dest_folder = $rip->getConfigValue('image_folder') . $args['title'];
    $dest_folder = $rip->setDestFolder($dest_folder);

    verbose('new destination folder will be: '. $dest_folder, $args['verbose']);
    if (!file_exists($dest_folder)) {
        $rs = mkdir($dest_folder);
        $string = $rs ? 'success' : 'FAIL';
        verbose('creating destination folder: '. $string, $args['verbose']);
    }

    $rs = $rip->process($args['links']);

    if (!$rs) {
        $rs = $rip->getFails();
    }
    return $rs;

}