<?php

/**
 * TurboimagehostComHelper.php
 *
 * @version $Id: $
 * @package Ripper
 * @copyright 2019
 */

/**
 * Class TurboimagehostComHelper
 *
 * http://www.turboimagehost.com/p/31486507/sb_samira_enticement_2014-12-15_118.jpg.html
 * http://s6d4.turboimg.net/sp/c3f5b93691e375ccf3b63f818c57d81d/sb_samira_enticement_2014-12-15_118.jpg
 *
 * <img src="http://s6d5.turboimg.net/sp/e130e291b1bd69fb293e29810f2bb088/sb_samira_enticement_2014-12-15_001.jpg" class="upimage" id="imageid" border="0" alt="sb samira enticement 2014 12 15 001" onLoad="scaleImg(); if(!aweGetCookie('entercook')){popup('popUpDiv1');}"/>
 * this link: 
 *    https://www.turboimagehost.com/p/38674603/009-ses.jpg.html
 * points to:
 *    https://www.turboimagehost.com/p/38674603/009-ses.jpg.html
 * which has: 
 *    <img src="https://s7d7.turboimg.net/sp/de0e9749f71fae414acf3667cd66998d/009-ses.jpg" id="imageid" border="0" alt="009 ses" onLoad="scaleImg(); if(!aweGetCookie('entercook')){popup('popUpDiv1');}"/>
 * the actual image is:
 *    https://s7d7.turboimg.net/sp/de0e9749f71fae414acf3667cd66998d/009-ses.jpg
 */
class TurboimagehostComHelper extends BaseHelper
{

    /**
     * process
     * @param $uri
     * @return array Return array with 'image' and 'name' as the keys
     */
    public function process($uri) {

        $image['name'] = $this->getImageName($uri);
        $page = $this->getPage($uri);
//        $page = $this->getPage('test/detail.turboimagehost.com-2.html');
        $image_uri = $this->extractDownloadUri($page, $image['name']);
//out($image_uri); exit;
        $image['image'] = $this->getPage($image_uri);
        return $image;
    }

    public function getImageName($uri) {
        $parts = parse_url($uri);
        $pieces = explode('/', $parts['path']);
        $name = array_pop($pieces);
        return str_replace('.html', '', $name);
    }

    public function extractDownloadUri($page, $name = null) {
        $images = parse_array($page, '<img', '/>');
//out($images); exit;
        $src = false;
        foreach ($images as $image) {
            if (strstr($image, 'uImage')) {
                $src = $this->getAttributeById($image, 'imageid', 'src');
            }
        }
        return $src;
    }
}