<?php
/**
 * ViperGirls.php
 *
 * @version $Id: $
 * @package VirtualInvite
 * @copyright 2011-2019
 */

class ViperGirls
{

    public function __construct($username, $password, $user_agent)
    {
        $this->username = $username;
        $this->password = $password;
        $this->user_agent = $user_agent;
    }

    /**
     * vb_login_username="username"
     * vb_login_password="password"
     * do="login"
     * cookieuser="1"
     * @return mixed
     */
    public function loginToSite() {
        $curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://vipergirls.to/login.php?do=login",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => "",
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => "POST",
            CURLOPT_POSTFIELDS => array(
                'vb_login_username' => $this->username,
                'vb_login_password' => $this->password,
                'do' => 'login',
                'cookieuser' => '1'
            ),
            CURLOPT_COOKIESESSION => true,
            CURLOPT_COOKIEJAR => 'cookie-vipergirls.txt',
            CURLOPT_COOKIEFILE => 'cookie-vipergirls.txt',
            CURLOPT_SSL_VERIFYPEER => FALSE,
            CURLOPT_USERAGENT => $this->user_agent,
        ));
        $retval = curl_exec($curl);
//        out($retval);

        if (curl_error($curl)) {
            echo curl_error($curl);
        }
        curl_close($curl);
        return $retval;
    }
}